Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document




Public Class rptCMR

    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
    Sub New(CMR As cCMR)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.


        '   MsgBox(CMR.CMR_Absender_1 & CMR.CMR_Absender_2 & CMR.CMR_Absender_3 & CMR.CMR_Absender_4)

        Dim vbNewLine1 = Environment.NewLine
        txtAbsender.Text = If(CMR.CMR_Absender_1, "")
        txtAbsender.Text &= If(CMR.CMR_Absender_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Absender_2, "")
        txtAbsender.Text &= If(CMR.CMR_Absender_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Absender_3, "")
        txtAbsender.Text &= If(CMR.CMR_Absender_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Absender_4, "")


        txtEmpfänger.Text = If(CMR.CMR_Empfänger_1, "")
        txtEmpfänger.Text &= If(CMR.CMR_Empfänger_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Empfänger_2, "")
        txtEmpfänger.Text &= If(CMR.CMR_Empfänger_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Empfänger_3, "")
        txtEmpfänger.Text &= If(CMR.CMR_Empfänger_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Empfänger_4, "")

        txtFrachtführer.Text = If(CMR.CMR_Frachtführer_1, "")
        txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Frachtführer_2, "")
        txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Frachtführer_3, "")
        txtFrachtführer.Text &= If(CMR.CMR_Frachtführer_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Frachtführer_4, "")

        txtNachfolgendeFrachtführer.Text = If(CMR.CMR_Nachf_Frachtführer_1, "")
        txtNachfolgendeFrachtführer.Text &= If(CMR.CMR_Nachf_Frachtführer_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Nachf_Frachtführer_2, "")
        txtNachfolgendeFrachtführer.Text &= If(CMR.CMR_Nachf_Frachtführer_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Nachf_Frachtführer_3, "")
        txtNachfolgendeFrachtführer.Text &= If(CMR.CMR_Nachf_Frachtführer_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Nachf_Frachtführer_4, "")

        txtAuslieferungsort.Text = If(CMR.CMR_Auslieferung_Ort, "")
        txtAuslieferungsLand.Text = If(CMR.CMR_Auslieferung_Land, "")


        txtOrt.Text = If(CMR.CMR_Übernahme_Ort, "")
        txtLand.Text = If(CMR.CMR_Übernahme_Land, "")
        txtDatum.Text = If(CMR.CMR_Übernahme_Datum, "")

        txtBeigefügteDok.Text = If(CMR.CMR_Dokumente_1, "")
        txtBeigefügteDok.Text &= If(CMR.CMR_Dokumente_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Dokumente_2, "")
        txtBeigefügteDok.Text &= If(CMR.CMR_Dokumente_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Dokumente_3, "")

        txtVorbehalteundBemerkungen.Text = If(CMR.CMR_Bemerkungen_1, "")
        txtVorbehalteundBemerkungen.Text &= If(CMR.CMR_Bemerkungen_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Bemerkungen_2, "")
        txtVorbehalteundBemerkungen.Text &= If(CMR.CMR_Bemerkungen_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Bemerkungen_3, "")
        txtVorbehalteundBemerkungen.Text &= If(CMR.CMR_Bemerkungen_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Bemerkungen_4, "")
        txtVorbehalteundBemerkungen.Text &= If(CMR.CMR_Bemerkungen_5 IsNot Nothing, vbNewLine1 & CMR.CMR_Bemerkungen_5, "")

        txtAnweisungenDesAbsenders.Text = If(CMR.CMR_Anweisungen_1, "")
        txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Anweisungen_2, "")
        txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_3 IsNot Nothing, vbNewLine1 & CMR.CMR_Anweisungen_3, "")
        txtAnweisungenDesAbsenders.Text &= If(CMR.CMR_Anweisungen_4 IsNot Nothing, vbNewLine1 & CMR.CMR_Anweisungen_4, "")

        txtAusgefertigtIn.Text = If(CMR.CMR_Ausgefertigt_in, "")
        txtAusgefertigtam.Text = If(CMR.CMR_Ausgefertigt_am, "")

        txtBesondereVereinbarungen.Text = If(CMR.CMR_Vereinbarungen_1, "")
        txtBesondereVereinbarungen.Text &= If(CMR.CMR_Vereinbarungen_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Vereinbarungen_2, "")


        txtUnterschriftAbsender.Text = If(CMR.CMR_Stempel_Absender_1, "")
        txtUnterschriftAbsender.Text &= If(CMR.CMR_Stempel_Absender_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Stempel_Absender_2, "")

        txtUnterschriftFrachtführer.Text = If(CMR.CMR_Stempel_Frachtführer_1, "")
        txtUnterschriftFrachtführer.Text &= If(CMR.CMR_Stempel_Frachtführer_2 IsNot Nothing, vbNewLine1 & CMR.CMR_Stempel_Frachtführer_2, "")

        txtKfz.Text = If(CMR.CMR_Kennzeichen_Kfz, "")
        txtKfzKg.Text = If(CMR.CMR_Nutzlast_Kfz, "")
        txtAnhänger.Text = If(CMR.CMR_Kennzeichen_Anhänger, "")
        txtAnhängerKg.Text = If(CMR.CMR_Nutzlast_Anhänger, "")



        If CMR._kurz Then
            Dim sRptKurz = New subrptLadungKurz
            If CMR.CMRPos.Count > 0 Then
                '  sRptKurz.txtZeichen1.Text = CMR.CMRPos(0).Zeichen
                sRptKurz.txtAnzahl1.Text = CMR.CMRPos(0).Anzahl
                sRptKurz.txtArtVerpackung1.Text = CMR.CMRPos(0).Art
                sRptKurz.txtBezeichnung1.Text = CMR.CMRPos(0).Bezeichnung
                '  sRptKurz.txtStatNr1.Text = CMR.CMRPos(0).StatistikNr
                sRptKurz.txtBruttoGewicht1.Text = CMR.CMRPos(0).Bruttogewicht
                '   sRptKurz.txtUmfang1.Text = CMR.CMRPos(0).Umfang
            End If

            If CMR.CMRPos.Count > 1 Then
                ' sRptKurz.txtZeichen2.Text = CMR.CMRPos(1).Zeichen
                sRptKurz.txtAnzahl2.Text = CMR.CMRPos(1).Anzahl
                sRptKurz.txtArtVerpackung2.Text = CMR.CMRPos(1).Art
                sRptKurz.txtBezeichnung2.Text = CMR.CMRPos(1).Bezeichnung
                ' sRptKurz.txtStatNr2.Text = CMR.CMRPos(1).StatistikNr
                sRptKurz.txtBruttoGewicht2.Text = CMR.CMRPos(1).Bruttogewicht
                ' sRptKurz.txtUmfang2.Text = CMR.CMRPos(1).Umfang
            End If

            If CMR.CMRPos.Count > 2 Then
                'sRptKurz.txtZeichen3.Text = CMR.CMRPos(2).Zeichen
                sRptKurz.txtAnzahl3.Text = CMR.CMRPos(2).Anzahl
                sRptKurz.txtArtVerpackung3.Text = CMR.CMRPos(2).Art
                sRptKurz.txtBezeichnung3.Text = CMR.CMRPos(2).Bezeichnung
                ' sRptKurz.txtStatNr3.Text = CMR.CMRPos(2).StatistikNr
                sRptKurz.txtBruttoGewicht3.Text = CMR.CMRPos(2).Bruttogewicht
                ' sRptKurz.txtUmfang3.Text = CMR.CMRPos(2).Umfang
            End If

            If CMR.CMRPos.Count > 3 Then
                'sRptKurz.txtZeichen4.Text = CMR.CMRPos(3).Zeichen
                sRptKurz.txtAnzahl4.Text = CMR.CMRPos(3).Anzahl
                sRptKurz.txtArtVerpackung4.Text = CMR.CMRPos(3).Art
                sRptKurz.txtBezeichnung4.Text = CMR.CMRPos(3).Bezeichnung
                ' sRptKurz.txtStatNr4.Text = CMR.CMRPos(3).StatistikNr
                sRptKurz.txtBruttoGewicht4.Text = CMR.CMRPos(3).Bruttogewicht
                '  sRptKurz.txtUmfang4.Text = CMR.CMRPos(3).Umfang
            End If

            If CMR.CMRPos.Count > 4 Then
                '  sRptKurz.txtZeichen5.Text = CMR.CMRPos(4).Zeichen
                sRptKurz.txtAnzahl5.Text = CMR.CMRPos(4).Anzahl
                sRptKurz.txtArtVerpackung5.Text = CMR.CMRPos(4).Art
                sRptKurz.txtBezeichnung5.Text = CMR.CMRPos(4).Bezeichnung
                ' sRptKurz.txtStatNr5.Text = CMR.CMRPos(4).StatistikNr
                sRptKurz.txtBruttoGewicht5.Text = CMR.CMRPos(4).Bruttogewicht
                'sRptKurz.txtUmfang5.Text = CMR.CMRPos(4).Umfang
            End If

            If CMR.CMRPos.Count > 5 Then
                ' sRptKurz.txtZeichen6.Text = CMR.CMRPos(5).Zeichen
                sRptKurz.txtAnzahl6.Text = CMR.CMRPos(5).Anzahl
                sRptKurz.txtArtVerpackung6.Text = CMR.CMRPos(5).Art
                sRptKurz.txtBezeichnung6.Text = CMR.CMRPos(5).Bezeichnung
                ' sRptKurz.txtStatNr6.Text = CMR.CMRPos(5).StatistikNr
                sRptKurz.txtBruttoGewicht6.Text = CMR.CMRPos(5).Bruttogewicht
                ' sRptKurz.txtUmfang6.Text = CMR.CMRPos(5).Umfang
            End If

            If CMR.CMRPos.Count > 6 Then
                ' sRptKurz.txtZeichen7.Text = CMR.CMRPos(6).Zeichen
                sRptKurz.txtAnzahl7.Text = CMR.CMRPos(6).Anzahl
                sRptKurz.txtArtVerpackung7.Text = CMR.CMRPos(6).Art
                sRptKurz.txtBezeichnung7.Text = CMR.CMRPos(6).Bezeichnung
                ' sRptKurz.txtStatNr7.Text = CMR.CMRPos(6).StatistikNr
                sRptKurz.txtBruttoGewicht7.Text = CMR.CMRPos(6).Bruttogewicht
                ' sRptKurz.txtUmfang7.Text = CMR.CMRPos(6).Umfang
            End If
            srptLadung.Report = sRptKurz
        Else
            Dim sRpt = New subrptLadung
            If CMR.CMRPos.Count > 0 Then
                sRpt.txtZeichen1.Text = CMR.CMRPos(0).Zeichen
                sRpt.txtAnzahl1.Text = CMR.CMRPos(0).Anzahl
                sRpt.txtArtVerpackung1.Text = CMR.CMRPos(0).Art
                sRpt.txtBezeichnung1.Text = CMR.CMRPos(0).Bezeichnung
                sRpt.txtStatNr1.Text = CMR.CMRPos(0).StatistikNr
                sRpt.txtBruttoGewicht1.Text = CMR.CMRPos(0).Bruttogewicht
                sRpt.txtUmfang1.Text = CMR.CMRPos(0).Umfang
            End If

            If CMR.CMRPos.Count > 1 Then
                sRpt.txtZeichen2.Text = CMR.CMRPos(1).Zeichen
                sRpt.txtAnzahl2.Text = CMR.CMRPos(1).Anzahl
                sRpt.txtArtVerpackung2.Text = CMR.CMRPos(1).Art
                sRpt.txtBezeichnung2.Text = CMR.CMRPos(1).Bezeichnung
                sRpt.txtStatNr2.Text = CMR.CMRPos(1).StatistikNr
                sRpt.txtBruttoGewicht2.Text = CMR.CMRPos(1).Bruttogewicht
                sRpt.txtUmfang2.Text = CMR.CMRPos(1).Umfang
            End If

            If CMR.CMRPos.Count > 2 Then
                sRpt.txtZeichen3.Text = CMR.CMRPos(2).Zeichen
                sRpt.txtAnzahl3.Text = CMR.CMRPos(2).Anzahl
                sRpt.txtArtVerpackung3.Text = CMR.CMRPos(2).Art
                sRpt.txtBezeichnung3.Text = CMR.CMRPos(2).Bezeichnung
                sRpt.txtStatNr3.Text = CMR.CMRPos(2).StatistikNr
                sRpt.txtBruttoGewicht3.Text = CMR.CMRPos(2).Bruttogewicht
                sRpt.txtUmfang3.Text = CMR.CMRPos(2).Umfang
            End If

            If CMR.CMRPos.Count > 3 Then
                sRpt.txtZeichen4.Text = CMR.CMRPos(3).Zeichen
                sRpt.txtAnzahl4.Text = CMR.CMRPos(3).Anzahl
                sRpt.txtArtVerpackung4.Text = CMR.CMRPos(3).Art
                sRpt.txtBezeichnung4.Text = CMR.CMRPos(3).Bezeichnung
                sRpt.txtStatNr4.Text = CMR.CMRPos(3).StatistikNr
                sRpt.txtBruttoGewicht4.Text = CMR.CMRPos(3).Bruttogewicht
                sRpt.txtUmfang4.Text = CMR.CMRPos(3).Umfang
            End If

            If CMR.CMRPos.Count > 4 Then
                sRpt.txtZeichen5.Text = CMR.CMRPos(4).Zeichen
                sRpt.txtAnzahl5.Text = CMR.CMRPos(4).Anzahl
                sRpt.txtArtVerpackung5.Text = CMR.CMRPos(4).Art
                sRpt.txtBezeichnung5.Text = CMR.CMRPos(4).Bezeichnung
                sRpt.txtStatNr5.Text = CMR.CMRPos(4).StatistikNr
                sRpt.txtBruttoGewicht5.Text = CMR.CMRPos(4).Bruttogewicht
                sRpt.txtUmfang5.Text = CMR.CMRPos(4).Umfang
            End If

            If CMR.CMRPos.Count > 5 Then
                sRpt.txtZeichen6.Text = CMR.CMRPos(5).Zeichen
                sRpt.txtAnzahl6.Text = CMR.CMRPos(5).Anzahl
                sRpt.txtArtVerpackung6.Text = CMR.CMRPos(5).Art
                sRpt.txtBezeichnung6.Text = CMR.CMRPos(5).Bezeichnung
                sRpt.txtStatNr6.Text = CMR.CMRPos(5).StatistikNr
                sRpt.txtBruttoGewicht6.Text = CMR.CMRPos(5).Bruttogewicht
                sRpt.txtUmfang6.Text = CMR.CMRPos(5).Umfang
            End If

            If CMR.CMRPos.Count > 6 Then
                sRpt.txtZeichen7.Text = CMR.CMRPos(6).Zeichen
                sRpt.txtAnzahl7.Text = CMR.CMRPos(6).Anzahl
                sRpt.txtArtVerpackung7.Text = CMR.CMRPos(6).Art
                sRpt.txtBezeichnung7.Text = CMR.CMRPos(6).Bezeichnung
                sRpt.txtStatNr7.Text = CMR.CMRPos(6).StatistikNr
                sRpt.txtBruttoGewicht7.Text = CMR.CMRPos(6).Bruttogewicht
                sRpt.txtUmfang7.Text = CMR.CMRPos(6).Umfang
            End If
            srptLadung.Report = sRpt
        End If



    End Sub
End Class
